import json
import uuid
from datetime import datetime
from enum import Enum
from typing import List

from pydantic import BaseModel, validator, Json

from schemas import DBBase


class ReportBase(BaseModel):
    name: str = None
    query: str = None
    project_id: str = None


class ReportCreate(ReportBase):
    name: str
    project_id: str
    query: Json


class ReportDelete(DBBase):
    pass


# --------------------------------------------------------------
# 数据库模型
class ReportDB(DBBase):
    name: str
    user_id: str
    project_id: str
    # cat: Category
    pid: str
    create_date: datetime = datetime.now()
